//   ************************************************************   //
//
//   RasputiN's lame shaderz for PainKiller RMX [ rsptn_TRN01 ]
//
//   ************************************************************   //


textures/rsptn_TRN01/env_plague512
{
	qer_editorimage textures/rsptn_TRN01/qer_plague512.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_sun 1 0.8 0.6 30 30 75
	skyparms env/plague512/plague512 512 -
	{
		map textures/skies/intelredclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.01 0.005
		tcMod scale 3 2
	}

}

// hh3 greenish neon [ 200 ]
 
textures/rsptn_TRN01/hh3_m_light02
{
 qer_editorimage textures/rsptn_TRN01/hh3_m_light01.tga
 q3map_lightimage textures/rsptn_TRN01/hh3_m_light01_blend.tga
 surfaceparm nomarks
 q3map_surfacelight 200
 
 {
  map $lightmap 
  rgbGen identity
  tcGen lightmap 
 }
 {
  map textures/rsptn_TRN01/hh3_m_light01.tga
  blendfunc filter
  rgbGen identity
 }
 {
  map textures/rsptn_TRN01/hh3_m_light01_blend.tga
  blendfunc add
  rgbGen identity
 }
}

//   pouring goo

textures/rsptn_TRN01/ogoo_move
{

	qer_editorimage textures/rsptn_TRN01/ogoo_move.tga
	qer_trans 0.75
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	q3map_surfacelight 100
	tessSize 8
	cull disable
	deformVertexes bulge 1 1 1
//	deformVertexes wave 8 sin 1 0.25 0.25

	{
		map textures/liquids/proto_gruel3.tga
		blendfunc filter
		tcMod scale 1.5 1.5
		tcMod turb 0 0.05 0 0.2
		tcMod scroll 0.1 -0.25
	}

	{
		map textures/liquids/proto_gruel3.tga
		blendfunc add
		tcMod scale 0.5 0.5
		tcMod turb 0 0.2 0 0.05
		tcMod scroll -0.1 -0.25

	}
	{
		map textures/liquids/proto_poolpass.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .25 .25
		tcMod scroll .04 .04
	}

}


//   'swirling oil' teleport

textures/rsptn_TRN01/rsptn_oiltele
{
	qer_editorimage textures/rsptn_TRN01/5_oil01.tga
	q3map_surfacelight 250
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	tessSize 256
	cull disable

	{
		map textures/effects/envmap.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/rsptn_TRN01/5_oil01.tga
		blendfunc filter
		tcmod rotate 25
		rgbgen wave sin 0.75 0.25 0.75 1
	}
	{
		map textures/rsptn_TRN01/5_oil01.tga
		blendfunc add
		tcmod rotate -25
		rgbgen wave sin 0.25 0.75 0.25 1
	}
}


//   organic goo, redesigned from abandoned part of pak0.pk3

textures/rsptn_TRN01/rsptn_ogoo
{
	q3map_globaltexture
	q3map_surfacelight 100
	qer_editorimage textures/liquids/proto_gruel3.tga
	qer_trans 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm slime
	cull disable
	tesssize 32
	fogparms ( 1.0 0.75 0.5 ) 64
	deformVertexes wave 256 sin 1 1 1 0.25

	{
		map textures/liquids/proto_gruel3.tga
		blendfunc filter
		tcMod scale 1.5 1.5
		tcMod turb 0 0.05 0 0.2
	}

	{
		map textures/liquids/proto_gruel3.tga
		blendfunc add
		tcMod scale 0.5 0.5
		tcMod turb 0 0.2 0 0.05
	}

	{
		map textures/liquids/proto_poolpass.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale .25 .25
		tcMod scroll .04 .04
	}

}
//	square light 64x64 [ 1k ]
 
textures/rsptn_TRN01/5_light01
{
	qer_editorimage textures/rsptn_TRN01/5_light01.tga
	q3map_lightimage textures/rsptn_TRN01/5_light01_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rsptn_TRN01/5_light01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rsptn_TRN01/5_light01_blend.tga
		blendfunc add
		rgbGen identity
	}
}


//	trim light 512x64 [ 250 ]

textures/rsptn_TRN01/5_trimwd04
{
	qer_editorimage textures/rsptn_TRN01/5_trimwd04.tga
	q3map_lightimage textures/rsptn_TRN01/5_trimwd04_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250

	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rsptn_TRN01/5_trimwd04.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rsptn_TRN01/5_trimwd04_blend.tga
		blendfunc add
		rgbGen identity
	}
}


//	hh3 greenish neon [ 500 ]

textures/rsptn_TRN01/hh3_m_light01
{
	qer_editorimage textures/rsptn_TRN01/hh3_m_light01.tga
	q3map_lightimage textures/rsptn_TRN01/hh3_m_light01_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500

	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rsptn_TRN01/hh3_m_light01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rsptn_TRN01/hh3_m_light01_blend.tga
		blendfunc add
		rgbGen identity
	}
}


//	hh3 golden square light [ 1k ]

textures/rsptn_TRN01/hh3_64by64_light01
{
	qer_editorimage textures/rsptn_TRN01/hh3_64by64_light01.tga
	q3map_lightimage textures/rsptn_TRN01/hh3_64by64_light01_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/rsptn_TRN01/hh3_64by64_light01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rsptn_TRN01/hh3_64by64_light01_blend.tga
		blendfunc add
		rgbGen identity
	}
}


//	square girder from The Core by Rorshach

textures/rsptn_TRN01/2_big_girder02
{
	qer_editorimage	textures/rsptn_TRN01/2_big_girder02.tga
	surfaceparm	metalsteps	
    	surfaceparm	trans	
	surfaceparm	alphashadow
	surfaceparm	playerclip
   	surfaceparm	nonsolid
	surfaceparm	nomarks	
	cull		disable
        nopicmip
	{
		map textures/rsptn_TRN01/2_big_girder02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
